Subject: is git-unpack-objects now redundant for 'git-push' and friends?

From: Sam Vilain <[email-masked]>
Date: Wed, 11 Oct 2006 02:23:52 +1300

When pushing or pulling to/from a repository, why unpack the objects?
Why not just fsck and then throw the pack into $GIT_DIR/objects/pack?

If you're pushing the entire repository, for instance, currently you
might create 10,000's of files, which will just be thrown away later
when you `git-repack -d'.

I suspect that this was never changed, because there never used to be
more than one packfile allowed, correct?

If the server *does* send us duplicates of objects we already have for
some reason, well that's what `git-repack -a -d' is for.

I'm just wondering if there are any good reasons to do this any more.

Sam.